View Issue Details

IDProjectCategoryView StatusLast Update
0000403SOGoBackend Mailpublic2010-02-18 13:11
Reporterbertails Assigned Towsourdeau 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Versionnightly v2 
Target Version1.2.1Fixed in Version1.2.1 
Summary0000403: SOGo causes the load to spike consuming the cpu fully
Description

For some reasons in our configuration and for some users, the email password for the IMAP server is not synchronized with the one in the LDAP.

If such a user tries to go on the webmail interface, the sogo process goes up to 100% CPU load, making it really painful to use.

SOGo should handle such a situation more nicely.

Additional Information

We deactivated the webmail because of this bug.

TagsNo tags attached.

Activities

wsourdeau

wsourdeau

2010-02-01 14:02

viewer   ~0000525

Please eetail which version of SOGo you are using. Two bugs related to that problem have been fixed last week. Have you tried a recent nightly build? Does this occur with 1.1, 1.2.... ?

revans

revans

2010-02-04 10:10

reporter   ~0000536

Last edited: 2010-02-04 10:50

I am getting a similar load spike in sogo, where one or even two of the processes spike to 99 - 100% and have to be kill -9'd to remove. I'm running 1.2 (no nightly) I have yet to track down why, but this happens at least once a week.
(centOS 5 x86_64)

bertails

bertails

2010-02-04 10:15

reporter   ~0000537

We are running the latest version against the Debian package:
[[
deb http://inverse.ca/debian lenny lenny
]]

wsourdeau

wsourdeau

2010-02-05 11:29

viewer   ~0000538

When this happens, can you connect an instance of gdb to the buggy process and request a backtrace?

This is done by issuing the following commands:

gdb -p [pid of buggy process]
(when in gdb)
bt
(the backtrace is displayed)
quit

This would help us find out which operation is looping in your installation.

Thanks. Please note that this is generally linked to an authentication (as you mention) or a connectivity problem the imap server.

wsourdeau

wsourdeau

2010-02-18 09:43

viewer   ~0000600

Hi guys,

I was not able to reproduce the problem on my side. If this occurs again, can you provide me access to your installation so that I can run gdb on it and analyse the state of certain variables?

Also, make sure that you restart the sogo processes after an RPM update. Is that what you do? If not, that would explain why you still have that bug...

2010-02-18 09:46

 

sogo-trace.txt (16,743 bytes)   
[root@webmail sogo]# gdb -p 31818
GNU gdb Fedora (6.8-37.el5)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Attaching to process 31818
Reading symbols from /usr/GNUstep/System/Tools/Admin/sogod...(no debugging symbols found)...done.
Reading symbols from /usr/GNUstep/System/Library/Libraries/libSOGo.so.1...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libSOGo.so.1
Reading symbols from /usr/GNUstep/System/Library/Libraries/libOGoContentStore.so.0.9...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libOGoContentStore.so.0.9
Reading symbols from /usr/GNUstep/System/Library/Libraries/libGDLContentStore.so.4.9...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libGDLContentStore.so.4.9
Reading symbols from /usr/GNUstep/System/Library/Libraries/libGDLAccess.so.4.9...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libGDLAccess.so.4.9
Reading symbols from /usr/GNUstep/System/Library/Libraries/libWEExtensions.so.4.9...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libWEExtensions.so.4.9
Reading symbols from /usr/GNUstep/System/Library/Libraries/libNGCards.so.4.9...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libNGCards.so.4.9
Reading symbols from /usr/GNUstep/System/Library/Libraries/libNGObjWeb.so.4.9...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libNGObjWeb.so.4.9
Reading symbols from /usr/GNUstep/System/Library/Libraries/libNGMime.so.4.9...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libNGMime.so.4.9
Reading symbols from /usr/GNUstep/System/Library/Libraries/libNGLdap.so.4.9...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libNGLdap.so.4.9
Reading symbols from /usr/GNUstep/System/Library/Libraries/libNGStreams.so.4.9...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libNGStreams.so.4.9
Reading symbols from /usr/GNUstep/System/Library/Libraries/libNGExtensions.so.4.9...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libNGExtensions.so.4.9
Reading symbols from /usr/GNUstep/System/Library/Libraries/libEOControl.so.4.9...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libEOControl.so.4.9
Reading symbols from /usr/GNUstep/System/Library/Libraries/libDOM.so.4.9...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libDOM.so.4.9
Reading symbols from /usr/GNUstep/System/Library/Libraries/libXmlRpc.so.4.9...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libXmlRpc.so.4.9
Reading symbols from /usr/GNUstep/System/Library/Libraries/libSaxObjC.so.4.9...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libSaxObjC.so.4.9
Reading symbols from /usr/GNUstep/System/Library/Libraries/libgnustep-base.so.1.16...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libgnustep-base.so.1.16
Reading symbols from /lib64/libpthread.so.0...done.
[Thread debugging using libthread_db enabled]
[New Thread 0x2aac3a4ef0b0 (LWP 31818)]
Loaded symbols for /lib64/libpthread.so.0
Reading symbols from /usr/lib64/libobjc.so.1...done.
Loaded symbols for /usr/lib64/libobjc.so.1
Reading symbols from /lib64/libm.so.6...done.
Loaded symbols for /lib64/libm.so.6
Reading symbols from /lib64/libc.so.6...done.
Loaded symbols for /lib64/libc.so.6
Reading symbols from /usr/lib64/libmemcached.so.3...done.
Loaded symbols for /usr/lib64/libmemcached.so.3
Reading symbols from /lib64/libcrypt.so.1...done.
Loaded symbols for /lib64/libcrypt.so.1
Reading symbols from /usr/lib64/libldap-2.3.so.0...done.
Loaded symbols for /usr/lib64/libldap-2.3.so.0
Reading symbols from /usr/lib64/liblber-2.3.so.0...done.
Loaded symbols for /usr/lib64/liblber-2.3.so.0
Reading symbols from /lib64/libssl.so.6...done.
Loaded symbols for /lib64/libssl.so.6
Reading symbols from /usr/lib64/libz.so.1...done.
Loaded symbols for /usr/lib64/libz.so.1
Reading symbols from /lib64/libcrypto.so.6...done.
Loaded symbols for /lib64/libcrypto.so.6
Reading symbols from /usr/lib64/libxslt.so.1...done.
Loaded symbols for /usr/lib64/libxslt.so.1
Reading symbols from /usr/lib64/libxml2.so.2...done.
Loaded symbols for /usr/lib64/libxml2.so.2
Reading symbols from /usr/lib64/libffi.so.5...done.
Loaded symbols for /usr/lib64/libffi.so.5
Reading symbols from /lib64/libnsl.so.1...done.
Loaded symbols for /lib64/libnsl.so.1
Reading symbols from /lib64/libdl.so.2...done.
Loaded symbols for /lib64/libdl.so.2
Reading symbols from /lib64/ld-linux-x86-64.so.2...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
Reading symbols from /lib64/libgcc_s.so.1...done.
Loaded symbols for /lib64/libgcc_s.so.1
Reading symbols from /lib64/libresolv.so.2...done.
Loaded symbols for /lib64/libresolv.so.2
Reading symbols from /usr/lib64/libsasl2.so.2...done.
Loaded symbols for /usr/lib64/libsasl2.so.2
Reading symbols from /usr/lib64/libgssapi_krb5.so.2...done.
Loaded symbols for /usr/lib64/libgssapi_krb5.so.2
Reading symbols from /usr/lib64/libkrb5.so.3...done.
Loaded symbols for /usr/lib64/libkrb5.so.3
Reading symbols from /lib64/libcom_err.so.2...done.
Loaded symbols for /lib64/libcom_err.so.2
Reading symbols from /usr/lib64/libk5crypto.so.3...done.
Loaded symbols for /usr/lib64/libk5crypto.so.3
Reading symbols from /usr/lib64/libkrb5support.so.0...done.
Loaded symbols for /usr/lib64/libkrb5support.so.0
Reading symbols from /lib64/libkeyutils.so.1...done.
Loaded symbols for /lib64/libkeyutils.so.1
Reading symbols from /lib64/libselinux.so.1...done.
Loaded symbols for /lib64/libselinux.so.1
Reading symbols from /lib64/libsepol.so.1...done.
Loaded symbols for /lib64/libsepol.so.1
Reading symbols from /lib64/libnss_files.so.2...done.
Loaded symbols for /lib64/libnss_files.so.2
Reading symbols from /usr/GNUstep/System/Library/SoProducts-4.9/SoCore.sxp/SoCore...done.
Loaded symbols for /usr/GNUstep/System/Library/SoProducts-4.9/SoCore.sxp/./SoCore
Reading symbols from /usr/GNUstep/System/Library/SoProducts-4.9/SoOFS.sxp/SoOFS...done.
Loaded symbols for /usr/GNUstep/System/Library/SoProducts-4.9/SoOFS.sxp/./SoOFS
Reading symbols from /usr/GNUstep/System/Library/Libraries/libSoOFS.so.4.9...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libSoOFS.so.4.9
Reading symbols from /usr/GNUstep/System/Library/SOGo/Appointments.SOGo/Appointments...done.
Loaded symbols for /usr/GNUstep/System/Library/SOGo/Appointments.SOGo/./Appointments
Reading symbols from /usr/GNUstep/System/Library/SOGo/Mailer.SOGo/Mailer...done.
Loaded symbols for /usr/GNUstep/System/Library/SOGo/Mailer.SOGo/./Mailer
Reading symbols from /usr/GNUstep/System/Library/SOGo/CommonUI.SOGo/CommonUI...done.
Loaded symbols for /usr/GNUstep/System/Library/SOGo/CommonUI.SOGo/./CommonUI
Reading symbols from /usr/GNUstep/System/Library/Libraries/libSOGoUI.so.1.2...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libSOGoUI.so.1.2
Reading symbols from /usr/GNUstep/System/Library/Libraries/libWOExtensions.so.4.9...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libWOExtensions.so.4.9
Reading symbols from /usr/GNUstep/System/Library/SOGo/MainUI.SOGo/MainUI...done.
Loaded symbols for /usr/GNUstep/System/Library/SOGo/MainUI.SOGo/./MainUI
Reading symbols from /usr/GNUstep/System/Library/SOGo/AdministrationUI.SOGo/AdministrationUI...done.
Loaded symbols for /usr/GNUstep/System/Library/SOGo/AdministrationUI.SOGo/./AdministrationUI
Reading symbols from /usr/GNUstep/System/Library/SOGo/Contacts.SOGo/Contacts...done.
Loaded symbols for /usr/GNUstep/System/Library/SOGo/Contacts.SOGo/./Contacts
Reading symbols from /usr/GNUstep/System/Library/SOGo/MailPartViewers.SOGo/MailPartViewers...done.
Loaded symbols for /usr/GNUstep/System/Library/SOGo/MailPartViewers.SOGo/./MailPartViewers
Reading symbols from /usr/GNUstep/System/Library/SOGo/MailerUI.SOGo/MailerUI...done.
Loaded symbols for /usr/GNUstep/System/Library/SOGo/MailerUI.SOGo/./MailerUI
Reading symbols from /usr/GNUstep/System/Library/SOGo/PreferencesUI.SOGo/PreferencesUI...done.
Loaded symbols for /usr/GNUstep/System/Library/SOGo/PreferencesUI.SOGo/./PreferencesUI
Reading symbols from /usr/GNUstep/System/Library/SOGo/ContactsUI.SOGo/ContactsUI...done.
Loaded symbols for /usr/GNUstep/System/Library/SOGo/ContactsUI.SOGo/./ContactsUI
Reading symbols from /usr/GNUstep/System/Library/SOGo/SchedulerUI.SOGo/SchedulerUI...done.
Loaded symbols for /usr/GNUstep/System/Library/SOGo/SchedulerUI.SOGo/./SchedulerUI
Reading symbols from /usr/GNUstep/System/Library/GDLAdaptors-4.9/MySQL.gdladaptor/MySQL...done.
Loaded symbols for /usr/GNUstep/System/Library/GDLAdaptors-4.9/MySQL.gdladaptor/./MySQL
Reading symbols from /usr/lib64/mysql/libmysqlclient.so.15...done.
Loaded symbols for /usr/lib64/mysql/libmysqlclient.so.15
Reading symbols from /lib64/libnss_dns.so.2...done.
Loaded symbols for /lib64/libnss_dns.so.2
Reading symbols from /usr/GNUstep/System/Library/SaxDrivers-4.9/libxmlSAXDriver.sax/libxmlSAXDriver...done.
Loaded symbols for /usr/GNUstep/System/Library/SaxDrivers-4.9/libxmlSAXDriver.sax/./libxmlSAXDriver
Reading symbols from /usr/GNUstep/System/Library/Libraries/gnustep-base/Versions/1.16/Resources/SSL.bundle/SSL...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/gnustep-base/Versions/1.16/Resources/SSL.bundle/./SSL
Reading symbols from /usr/GNUstep/System/Library/WOxElemBuilders-4.9/WEPrototype.wox/WEPrototype...done.
Loaded symbols for /usr/GNUstep/System/Library/WOxElemBuilders-4.9/WEPrototype.wox/./WEPrototype
Reading symbols from /usr/GNUstep/System/Library/Libraries/libWEPrototype.so.4.9...done.
Loaded symbols for /usr/GNUstep/System/Library/Libraries/libWEPrototype.so.4.9
Reading symbols from /usr/GNUstep/System/Library/WOxElemBuilders-4.9/WOExtensions.wox/WOExtensions...done.
Loaded symbols for /usr/GNUstep/System/Library/WOxElemBuilders-4.9/WOExtensions.wox/./WOExtensions
Reading symbols from /usr/GNUstep/System/Library/WOxElemBuilders-4.9/SOGoElements.wox/SOGoElements...done.
Loaded symbols for /usr/GNUstep/System/Library/WOxElemBuilders-4.9/SOGoElements.wox/./SOGoElements
Reading symbols from /usr/GNUstep/System/Library/WOxElemBuilders-4.9/WEExtensions.wox/WEExtensions...done.
Loaded symbols for /usr/GNUstep/System/Library/WOxElemBuilders-4.9/WEExtensions.wox/./WEExtensions
Reading symbols from /usr/GNUstep/System/Library/SaxDrivers-4.9/versitCardsSaxDriver.sax/versitCardsSaxDriver...done.
Loaded symbols for /usr/GNUstep/System/Library/SaxDrivers-4.9/versitCardsSaxDriver.sax/./versitCardsSaxDriver
Reading symbols from /usr/lib64/gconv/KOI8-R.so...done.
Loaded symbols for /usr/lib64/gconv/KOI8-R.so
0x00002aac38455b5d in -[NGImap4ResponseParser parseResponseForTagId:exception:] (self=0x34d9030, _cmd=0x2aac386fc3f0, 
    _tag=7, ex_=0x7fff81be5280) at NGImap4ResponseParser.m:300
300	NGImap4ResponseParser.m: No such file or directory.
	in NGImap4ResponseParser.m
(gdb) bt
#0  0x00002aac38455b5d in -[NGImap4ResponseParser parseResponseForTagId:exception:] (self=0x34d9030, _cmd=0x2aac386fc3f0, _tag=7, ex_=0x7fff81be5280)
    at NGImap4ResponseParser.m:300
#1  0x00002aac384660e6 in -[NGImap4Client processCommand:withTag:withNotification:logText:] (self=0x1e8dae0, _cmd=0x2aac386fcbd0, _command=0x1df6310, 
    _tag=1 '\001', _notification=1 '\001', _txt=0x1df6310) at NGImap4Client.m:1409
#2  0x00002aac38466758 in -[NGImap4Client processCommand:] (self=0x1e8dae0, _cmd=0x2aac386fc610, _command=0x1df6310) at NGImap4Client.m:1480
#3  0x00002aac38462122 in -[NGImap4Client select:] (self=0x1e8dae0, _cmd=0x2aac3fd60590, _folder=0x1bb97e0) at NGImap4Client.m:690
#4  0x00002aac3fb4aa58 in -[UIxMailAccountActions _statusFolders] (self=0x1e8ba50, _cmd=0x2aac3fd60600) at UIxMailAccountActions.m:143
#5  0x00002aac3fb4acac in -[UIxMailAccountActions statusFoldersAction] (self=0x1e8ba50, _cmd=0x19deb80) at UIxMailAccountActions.m:163
#6  0x00002aac399bdae9 in ?? () from /usr/GNUstep/System/Library/Libraries/libgnustep-base.so.1.16
#7  0x00002aac37fb151e in -[WODirectAction performActionNamed:] (self=0x1e8ba50, _cmd=0x2aac38384000, _actionName=0x1d68a70) at WODirectAction.m:101
#8  0x00002aac3804b8cd in -[SoActionInvocation callOnObject:withPositionalParametersWhenNotNil:inContext:] (self=0x20babe0, _cmd=0x2aac38384030, 
    _client=0x1f32a40, _positionalArgs=0x0, _ctx=0x1c45350) at SoActionInvocation.m:300
#9  0x00002aac3804ba2b in -[SoActionInvocation callOnObject:inContext:] (self=0x20babe0, _cmd=0x2aac38383f50, _client=0x1f32a40, _ctx=0x1c45350)
    at SoActionInvocation.m:316
#10 0x00002aac3804b5fd in -[SoActionInvocation callOnObject:withPositionalParametersWhenNotNil:inContext:] (self=0x17d3e60, _cmd=0x2aac38384030, 
    _client=0x1f32a40, _positionalArgs=0x0, _ctx=0x1c45350) at SoActionInvocation.m:259
#11 0x00002aac3804ba2b in -[SoActionInvocation callOnObject:inContext:] (self=0x17d3e60, _cmd=0x2aac3837f930, _client=0x1f32a40, _ctx=0x1c45350)
    at SoActionInvocation.m:316
#12 0x00002aac38043d38 in -[SoObjectMethodDispatcher dispatchInContext:] (self=0x1d9d130, _cmd=0x2aac383810b0, _ctx=0x1c45350)
    at SoObjectMethodDispatcher.m:190
#13 0x00002aac38046849 in -[SoObjectRequestHandler handleRequest:inContext:session:application:] (self=0x162eb20, _cmd=0x2aac38305530, _rq=0x1bc32d0, 
    _ctx=0x1c45350, _sn=0x0, app=0x15c41d0) at SoObjectRequestHandler.m:591
#14 0x00002aac37fc6690 in -[WORequestHandler handleRequest:] (self=0x162eb20, _cmd=0x2aac382cc980, _request=0x1bc32d0) at WORequestHandler.m:241
#15 0x00002aac37f79514 in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0x15c41d0, _cmd=0x2aac382cc9f0, _request=0x1bc32d0, handler=0x162eb20)
    at WOCoreApplication.m:704
#16 0x00002aac37f798ba in -[WOCoreApplication dispatchRequest:] (self=0x15c41d0, _cmd=0x60a4e0, _request=0x1bc32d0) at WOCoreApplication.m:744
#17 0x00000000004030a9 in -[SOGo dispatchRequest:] ()
#18 0x00002aac3803261d in -[WOHttpTransaction _run] (self=0x1d89010, _cmd=0x2aac38368ff0) at WOHttpTransaction.m:546
#19 0x00002aac38032a79 in -[WOHttpTransaction run] (self=0x1d89010, _cmd=0x2aac38366dd0) at WOHttpTransaction.m:599
#20 0x00002aac3802dadf in -[WOHttpAdaptor runConnection:] (self=0x19592b0, _cmd=0x2aac38366e70, _socket=0x1d1d9d0) at WOHttpAdaptor.m:404
#21 0x00002aac3802ddd1 in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x19592b0, _cmd=0x2aac38366e80, _connection=0x1d1d9d0) at WOHttpAdaptor.m:438
#22 0x00002aac3802e6ab in -[WOHttpAdaptor _handleConnection:] (self=0x19592b0, _cmd=0x2aac38366f80, connection=0x1d1d9d0) at WOHttpAdaptor.m:549
#23 0x00002aac3802e937 in -[WOHttpAdaptor acceptControlMessage:] (self=0x19592b0, _cmd=0x2aac38366c90, aNotification=0x1d2b590) at WOHttpAdaptor.m:585
#24 0x00002aac399ae114 in ?? () from /usr/GNUstep/System/Library/Libraries/libgnustep-base.so.1.16
#25 0x00002aac399aea93 in ?? () from /usr/GNUstep/System/Library/Libraries/libgnustep-base.so.1.16
#26 0x00002aac399ae927 in ?? () from /usr/GNUstep/System/Library/Libraries/libgnustep-base.so.1.16
#27 0x00002aac38c2aa9f in -[NSObject(FileObjectWatcher) receivedEvent:type:extra:forMode:] (self=0x15b7680, _cmd=0x2aac39ea6810, _fdData=0xf, 
    _type=ET_RDESC, _extra=0xf, _mode=0x2aac39e4de00) at NSRunLoop+FileObjects.m:57
#28 0x00002aac39ab364f in ?? () from /usr/GNUstep/System/Library/Libraries/libgnustep-base.so.1.16
#29 0x00002aac399f7d39 in ?? () from /usr/GNUstep/System/Library/Libraries/libgnustep-base.so.1.16
#30 0x00002aac399f818e in ?? () from /usr/GNUstep/System/Library/Libraries/libgnustep-base.so.1.16
#31 0x00002aac37f78c21 in -[WOCoreApplication run] (self=0x15c41d0, _cmd=0x60a310) at WOCoreApplication.m:576
#32 0x00000000004027a2 in -[SOGo run] ()
#33 0x00002aac37fd0fbe in -[WOWatchDog _runChildWithControlSocket:] (self=0x158bb00, _cmd=0x2aac3830dd10, controlSocket=0x15b7680)
    at WOWatchDogApplicationMain.m:460
#34 0x00002aac37fd1327 in -[WOWatchDog _spawnChild:] (self=0x158bb00, _cmd=0x2aac3830ddd0, child=0x15ae1c0) at WOWatchDogApplicationMain.m:522
#35 0x00002aac37fd1aad in -[WOWatchDog _ensureChildren] (self=0x158bb00, _cmd=0x2aac3830e080) at WOWatchDogApplicationMain.m:609
#36 0x00002aac37fd3267 in -[WOWatchDog run:argc:argv:] (self=0x158bb00, _cmd=0x2aac3830e140, newAppName=0x6087c0, newArgC=7, newArgV=0x7fff81be6d48)
    at WOWatchDogApplicationMain.m:913
#37 0x00002aac37fd3b20 in WOWatchDogApplicationMain (appName=0x6087c0, argc=7, argv=0x7fff81be6d48) at WOWatchDogApplicationMain.m:1019
#38 0x0000000000401a67 in main ()
Current language:  auto; currently objective-c
(gdb) quit

sogo-trace.txt (16,743 bytes)   
revans

revans

2010-02-18 09:47

reporter   ~0000601

Last edited: 2010-02-18 09:52

Wolfgang, Just had a CPU spike a few minutes ago, just attached the GDB trace file. Hopefully it will help out

note added: Yes, when updating after the initial 1.2.0 (to a nightly sogo-1.2_20100204-1.el5) stop sogo, make sure no processes running, then update, then start sogo.

wsourdeau

wsourdeau

2010-02-18 09:55

viewer   ~0000602

Hi Ryan,

Same thing as before: this cannot not work, as far as I know. That's why I would need direct access to those processes, so that I can see why this still happens at your site.

wsourdeau

wsourdeau

2010-02-18 13:11

viewer   ~0000606

Fixed in f7b521881c5e35a41842e2cbe3f286dba5a0ea52

Issue History

Date Modified Username Field Change
2010-02-01 13:59 bertails New Issue
2010-02-01 14:02 wsourdeau Note Added: 0000525
2010-02-04 09:44 wsourdeau Status new => feedback
2010-02-04 10:10 revans Note Added: 0000536
2010-02-04 10:15 bertails Note Added: 0000537
2010-02-04 10:50 revans Note Edited: 0000536
2010-02-05 11:29 wsourdeau Note Added: 0000538
2010-02-15 11:42 wsourdeau Target Version => 1.2.1
2010-02-18 09:43 wsourdeau Note Added: 0000600
2010-02-18 09:44 wsourdeau Target Version 1.2.1 =>
2010-02-18 09:46 revans File Added: sogo-trace.txt
2010-02-18 09:47 revans Note Added: 0000601
2010-02-18 09:52 revans Note Edited: 0000601
2010-02-18 09:55 wsourdeau Note Added: 0000602
2010-02-18 13:11 wsourdeau Target Version => 1.2.1
2010-02-18 13:11 wsourdeau Note Added: 0000606
2010-02-18 13:11 wsourdeau Status feedback => resolved
2010-02-18 13:11 wsourdeau Fixed in Version => 1.2.1
2010-02-18 13:11 wsourdeau Resolution open => fixed
2010-02-18 13:11 wsourdeau Assigned To => wsourdeau